Bug 3991 - "valid users"-option does not work with mapped users
"valid users"-option does not work with mapped users
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.23a
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-02 12:02 UTC by Andreas Sachs
Modified: 2006-08-04 13:15 UTC (History)
0 users

See Also:


Attachments
Patch (545 bytes, patch)
2006-08-02 20:50 UTC, Jeremy Allison
no flags Details
Additional patch. (2.08 KB, patch)
2006-08-03 00:24 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sachs 2006-08-02 12:02:03 UTC
Hello,
mapped users cannot access a share protected with "valid users". (worked in 3.0.14a)

Example:
...
security = user
[myshare]
        path = /tmp/
        force user = root
        valid users = andi
        guest ok = no
...
------------
user.map:
andi = andimap
------------
fire:/# smbclient -U andi -I 192.168.10.94 //linux1/myshare
Password:
Domain=[LINUX1] OS=[Unix] Server=[Samba 3.0.23a]
smb: \> exit
fire:/#



fire:/# smbclient -U andimap -I 192.168.10.94 //linux1/myshare
Password:
Domain=[LINUX1] OS=[Unix] Server=[Samba 3.0.23a]
tree connect failed: NT_STATUS_ACCESS_DENIED

---------------------------
Message from serverlog:
User andi not in 'valid users'

Adding "andimap" to "valid users" does not solve the problem.

If you need further informations please contact me.

Andreas
Comment 1 Jeremy Allison 2006-08-02 18:25:49 UTC
I've reproduced this in SAMBA_3_0 svn. I'll investigate for 3.0.23b.
Jeremy.
Comment 2 Jeremy Allison 2006-08-02 20:50:31 UTC
Created attachment 2078 [details]
Patch

This fixes the problem for me. Will be in 3.0.23b. Jerry & Volker please check and merge for 3.0.23b if this patch is correct.
Jeremy.
Comment 3 Jeremy Allison 2006-08-03 00:24:47 UTC
Created attachment 2079 [details]
Additional patch.

Here is an additional patch to the previous one. I think the combination of the two fixes the problem better. vl and Jerry please review.
Jeremy.
Comment 4 Gerald (Jerry) Carter 2006-08-04 13:15:49 UTC
FIxed for 3.0.23b.  Please test the SAMBA_3_0_RELEASE svn
release tree (also at rsync://rsync.samba.org/ftp/unpacked/samba_3_0_release).